Buy Now
Sign in

Build a small community

Post content and exchange messages publicly and privately.

Download ChronoForums

Chronoforums v2

PHP 5.5 or later is required

Chronoforums_v2.0.8_Extension.zip - 31-07-2018
The main extension, must be installed.
Release notes
Chronoforums v1

PHP 5.3 or later is required

Not developed any more!
ChronoForums_V1.1.4_Component.zip - 16-03-2015
The main extension, must be installed.
mod_chronoforums_latest_posts.zip - 17-05-2017
The latest posts module.
Release notes